summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJason Wray <jason@mapbox.com>2017-01-28 19:03:42 -0500
committerJason Wray <jason@mapbox.com>2017-01-29 02:06:59 -0500
commit031ddc0255635d6361692c4180040d757de4655d (patch)
tree648f8beb569ab220ba7d9ff52cb832d98b3244e1
parentf300a8fedc6ea2078ad9f03cba7620f283570716 (diff)
downloadqtlocation-mapboxgl-031ddc0255635d6361692c4180040d757de4655d.tar.gz
[ios] Stop including framework stripping script in built product
This self-deletes the script during the build script phase. Does not address the CocoaPods use-case.
-rwxr-xr-xplatform/ios/framework/strip-frameworks.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/platform/ios/framework/strip-frameworks.sh b/platform/ios/framework/strip-frameworks.sh
index 9deb404ca1..5e0dc0e178 100755
--- a/platform/ios/framework/strip-frameworks.sh
+++ b/platform/ios/framework/strip-frameworks.sh
@@ -68,3 +68,12 @@ else
# Delete *.bcsymbolmap files from framework bundle unless archiving
find . -name '*.bcsymbolmap' -type f -exec rm -rf "{}" +\;
fi
+
+# When this script finishes executing, delete itself from the built product
+function finish {
+ if [[ $0 == "${BUILT_PRODUCTS_DIR}"* ]]; then
+ rm -f $0;
+ fi
+}
+
+trap finish EXIT